# Staking

Enable staking contracts with an initial staking rewards program as follows:

* Individual stakes will be locked for 7 days, then can be unstaked any time after.
* Staking rewards will span a 91 day period. This means that staking will be allowed until 7 days before the end of this period.
* Total rewards will be fixed at 6.65M $ZKP, out of the total 450M $ZKP allocated for protocol rewards. These will vest from the [Staking Rewards pool](/launchdao/voting-proposals/3-launch/mint-and-vest.md#staking-rewards-pool).
* The following values will be used for the `addTerms()` call on the `Staking` contract:
  * `isEnabled`: `true`
  * `isRewarded`: `true`
  * minAmount (before scaling): 100 $ZKP
  * maxAmount (before scaling): not applicable (0)
  * `allowedSince`: Wed 2 Feb 00:00:00 UTC 2022
  * `allowedTill`: Wed 27 Apr 00:00:00 UTC 2022
  * `lockedTill`: not applicable
  * `exactLockPeriod`: not applicable
  * `minLockPeriod`: 7 days

This does not cover future rewards for protocol users, such as Privacy Staking and transacting within Shielded Pools, which will be covered by separate vesting pools, when those aspects of the main protocol are released after the TGE.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pantherprotocol.io/launchdao/voting-proposals/3-launch/staking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
